Package de.willuhn.jameica.hbci.gui

# Class ColorUtil

java.lang.Object
de.willuhn.jameica.hbci.gui.ColorUtil

public class ColorUtil extends Object
Util-Klasse fuer Farb-Berechnungen.

## Constructor Summary

Constructors
Constructor
Description
`ColorUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int[]`
`brighter(int[] color)`
Hellt die Farbe auf.
`static <T> T`
`getColor(double value, T negative, T positive, T zero)`
Liefert die Farbe, in der der angegebene Wert gezeichnet werden soll.
`static org.eclipse.swt.graphics.Color`
`getColor(UmsatzTyp ut)`
Liefert die zu verwendende Farbe für die Umsatz-Kategorie.
`static org.eclipse.swt.graphics.Color`
`getForeground(double value)`
Liefert die Farbe, in der der angegebene Wert gezeichnet werden soll.
`static void`
`setForeground(org.eclipse.swt.widgets.TableItem item, int col, double value)`
Markiert die Zeile je nach Konfiguration entweder komplett farbig oder nur den Betrag in der angegebenen Spalte.
`static void`
`setForeground(org.eclipse.swt.widgets.TableItem item, int col, UmsatzTyp ut)`
Markiert die angegebene Spalte in der Farbe der Umsatzkategorie.
`static void`
`setForeground(org.eclipse.swt.widgets.TreeItem item, int col, double value)`
Markiert die Zeile je nach Konfiguration entweder komplett farbig oder nur den Betrag in der angegebenen Spalte.
`static void`
`setForeground(org.eclipse.swt.widgets.TreeItem item, int col, UmsatzTyp ut)`
Markiert die angegebene Spalte in der Farbe der Umsatzkategorie.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorUtil

public ColorUtil()

## Method Details

### getForeground

public static org.eclipse.swt.graphics.Color getForeground(double value)
Liefert die Farbe, in der der angegebene Wert gezeichnet werden soll.

Parameters:
  `value` - der Wert.
Returns:
  die Farbe.

### setForeground

public static void setForeground(org.eclipse.swt.widgets.TableItem item, int col, double value)
Markiert die Zeile je nach Konfiguration entweder komplett farbig oder nur den Betrag in der angegebenen Spalte.

Parameters:
  `item` - die Zeile.
  `col` - die Spalte.
  `value` - der Wert.

### setForeground

public static void setForeground(org.eclipse.swt.widgets.TreeItem item, int col, double value)
Markiert die Zeile je nach Konfiguration entweder komplett farbig oder nur den Betrag in der angegebenen Spalte.

Parameters:
  `item` - die Zeile.
  `col` - die Spalte.
  `value` - der Wert.

### setForeground

public static void setForeground(org.eclipse.swt.widgets.TreeItem item, int col, UmsatzTyp ut)
Markiert die angegebene Spalte in der Farbe der Umsatzkategorie.

Parameters:
  `item` - die Zeile.
  `col` - die Spalte.
  `ut` - die Umsatz-Kategorie.

### setForeground

public static void setForeground(org.eclipse.swt.widgets.TableItem item, int col, UmsatzTyp ut)
Markiert die angegebene Spalte in der Farbe der Umsatzkategorie.

Parameters:
  `item` - die Zeile.
  `col` - die Spalte.
  `ut` - die Umsatz-Kategorie.

### getColor

public static <T> T getColor(double value, T negative, T positive, T zero)
Liefert die Farbe, in der der angegebene Wert gezeichnet werden soll.

Parameters:
  `value` - der Wert.
  `negative` - die Farbe fuer negative Werte.
  `positive` - die Farbe fuer positive Werte.
  `zero` - die Farbe fuer Null-Werte.
Returns:
  die Farbe.

### getColor

public static org.eclipse.swt.graphics.Color getColor(UmsatzTyp ut)
Liefert die zu verwendende Farbe für die Umsatz-Kategorie.

Parameters:
  `ut` - die Kategorie.
Returns:
  die Farbe oder NULL, wenn keine Farbe verwendet werden soll.

### brighter

public static int[] brighter(int[] color)
Hellt die Farbe auf.

Parameters:
  `color` - die Farbe.
Returns:
  die hellere Version davon.